List stock adjustments
Returns a paginated list of stock adjustment history for the current organization. Supports filtering by item, reason, and date range.
Returns a paginated list of stock adjustment history for the current organization. Supports filtering by item, reason, and date range.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Query Parameters
inventoryItemId?string
reason?string
source?string
Value in
- "manual"
- "order_consumption"
- "order_reversal"
- "purchase_receipt"
- "system"
dateFrom?string
dateTo?string
page?integer
Range
0 < valueDefault
1limit?integer
Range
0 < value <= 100Default
20Response Body
application/json
curl -X GET "https://example.com/inventory/adjustments"{ "data": [ { "id": "string", "inventoryItemId": "string", "quantityBefore": "string", "quantityChange": "string", "quantityAfter": "string", "source": "manual", "reason": "string", "notes": "string", "orderId": "string", "orderItemId": "string", "purchaseOrderId": "string", "purchaseOrderItemId": "string", "purchaseOrderReceiptId": "string", "lotNumber": "string", "expirationDate": "string", "reversesAdjustmentId": "string", "adjustedBy": "string", "createdAt": "string", "itemName": "string", "adjustedByName": "string" } ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}Empty
Empty
List purchase orders GET
Returns a paginated list of purchase orders for the current organization. Supports filtering by status and supplier.
List suppliers GET
Returns a paginated list of suppliers for the current organization. Supports search by name, code, or email and optional inclusion of inactive suppliers.